drop table Report;
create table Report
(
 ID             int            not null,
 dt_created     int            not null,
 dt_modified    int            not null,
 Owner          varchar(60)    not null,
 Title          varchar(100)   not null,
 Comments       text           not null,
 state          int            not null
);

create unique index Report_IDX on Report( ID );


drop table Report_NOTE;
create table Report_NOTE
(
 ID             int            not null auto_increment primary key,
 Report_ID      int            not null,
 Parent_ID      int            not null,
 Order_NO       int            not null,
 
 Title          varchar(80)    not null,
 Info           varchar(60)    not null,
 Note           text           not null,
 filename       varchar(100)   not null,
 
 datatype       int            not null,
 inline         int            not null,
 autofmt        int            not null
);

create index Report_NOTE_IDX on Report_NOTE( Report_ID, Parent_ID, Order_NO );


drop table Report_DATA;
create table Report_DATA
(
 ID             int            not null auto_increment primary key,
 Name           varchar(60)    not null,
 Driver         varchar(40)    not null,
 Icone          varchar(40)    not null          
);


drop table Attr_LINK;
create table Attr_LINK
(
 Note_ID        int            not null,
 Attr_ID        int            not null
);

create index Attr_LINK_IDX on Attr_LINK( Attr_ID, Note_ID );



drop table Attr_LIST;
create table Attr_LIST
(
 ID             int            not null auto_increment primary key,
 Type_ID        int            not null,
 Name           varchar(60)    not null
);


drop table Attr_TYPE;
create table Attr_TYPE
(
 ID             int            not null auto_increment primary key,
 Name           varchar(60)    not null,
 Multi          int            not null 
);


