drop table dim_VXSTAT;

create table dim_VXSTAT
(
 ID          int not null,
 Sno         int not null,
 Vol         varchar(64) not null,

 R_OP        float(24,5),
 W_OP        float(24,5),
 R_BLK       float(24,5),
 W_BLK       float(24,5),
 R_AVG       float(24,5),
 W_AVG       float(24,5)
);

create index dim_VXSTAT_ID_Sno  on dim_VXSTAT( ID, Sno, Vol );

alter table dim_VXSTAT max_rows=4000000000;

delete from TabX_note where tabname = 'dim_VXSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_VXSTAT', 'VxVM Volumes Statistics (vxstat)' );

delete from TabX where tabname = 'dim_VXSTAT';
insert into TabX values ( 'dim_VXSTAT',  1, 'id',  'AD', 'ID', '' );
insert into TabX values ( 'dim_VXSTAT',  2, 'sno', 'S', '#Sno', '' );
insert into TabX values ( 'dim_VXSTAT',  3, 'vol', 'AS', 'Volume', '' );
insert into TabX values ( 'dim_VXSTAT',  4, 'r_op', 'V', 'Read Op/sec', '' );
insert into TabX values ( 'dim_VXSTAT',  5, 'w_op', 'V', 'Write Op/sec', '' );
insert into TabX values ( 'dim_VXSTAT',  6, 'r_blk', 'V', 'Read Blk/sec', '' );
insert into TabX values ( 'dim_VXSTAT',  7, 'w_blk', 'V', 'Write Blk/sec', '' );
insert into TabX values ( 'dim_VXSTAT',  8, 'r_avg', 'V', 'Read Avg(ms)', '' );
insert into TabX values ( 'dim_VXSTAT',  9, 'w_avg', 'V', 'Write Avg(ms)', '' );

